<!DOCTYPE html>
<html lang="ru">

<head>
  <title>Web4/index</title>
  <meta charset="UTF-8">
  <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css"
    integrity="sha384-JcKb8q3iqJ61gNV9KGb8thSsNjpSL0n8PARn9HuZOnIxN0hoP+VmmDGMN5t9UJ0Z" crossorigin="anonymous">
  <meta name="viewport" content="width=device-width">
</head>

<body>
  <header class="bg-primary">
    <div class="container-sm">
      <img width="40" height="40" src="4square.jpg" alt="my logo">Welcome to Суперматическое пространство
    </div>
  </header>
  <div class="bg-light">
    <nav class="navbar navbar-expand-lg navbar-light container">
      <div class="navbar-nav">
        <a class="nav-link" title="current page">Главная</a>
        <a class="nav-link" href="./about/page1.html">О нас</a>
        <a class="nav-link" href="./page2.html">Квадрат</a>
      </div>
    </nav>
  </div>

  <div class="container">
    <div class="row">
      <b>Список</b>
      <ol>
        <li><a href="http://example.com">абсолютную гиперссылку на главную страницу сайта example.comm</a></li>
        <li><a href="https://example.com">абсолютную на главную сайта example.com в протоколе https</a></li>
        <li><a href="ftp://example.com">ссылку на файл на сервере FTP без авторизацииh</a></li>
        <li><a href="ftp://user:123@example.com">ссылку на файл на сервере FTP с авторизацией</a></li>
        <li><a href="https://html5book.ru/hyperlinks-in-html#part4">ссылку на фрагмент страницы некоторого сайтаe</a>
        </li>
        <li><a href="#p1">ссылку на фрагмент текущей страницы</a></li>
        <li><a href="http://exmple.com?a&b">ссылку с двумя параметрами в URLs</a></li>

        <li>
          <b> список ссылок основной навигации сайта с подписями titlet</b>
          <nav>
            <ul>
              <li><a title="current page">index</a></li>
              <li><a href="./about/page1.html" title="indeed, page1">page1</a></li>
              <li><a href="./page2.html" title="i think this is page 2">page2</a></li>
            </ul>
          </nav>
        </li>

        <li><a>ссылку без href</a></li>
        <li><a href="">ссылку с пустым href</a></li>
        <li><a href="https://example.com" rel="nofollow">ссылку, по которой запрещен переход поисковикам</a></li>
        <li>
          <!--noindex--><a href="https://example.com">ссылку запрещенную для индексации поисковиками</a>
          <!--/noindex-->
        </li>

        <li>
          <p>flsdfksdlgkvmkcxlmv;nmjgkn ksdfmkdsln lkdsng kdfmsg; mdf;lgm dlfkm ;ms klfdsmkfl mdl fmds; fdsm glksdn
            glksdn
            dsm;fds'fs sdml;ffsg;sl;d kfdsl fl;dskgl; sk;lg sdkl;<a href="https://example.com">контекстную в тексте
              абзаца</a> asdmklmfksd lfdsk jsdklgfdk fdkl;sk fdsl fnklsddsffdsksjdgkldf jkgfndlk dsjlk l dl asl lsa lf
            enwlf newln klfewl ldf nlsd flkdsk fjalkjf ds</p>

        <li><b>ссылку-изображениеe</b><br>
          <a href="https://example.com"><img src="./link.png" alt="Ссылка" width="100" height="100"></a><br></li>

        <li><b> ссылки из прямоугольных и круглых областей картинки</b><br>
          <img id="map" class="img-fluid" src="./sportsmens.jpg" alt="Малевич Спортсмены" usemap="#map1">
          <map name="map1">
            <area shape="circle" coords="99,68,30" href="https://www.google.com/search?q=%D0%BA%D1%80%D1%83%D0%B3"
              alt="circle">
            <area shape="rect" coords="179,31,366,595"
              href="https://www.google.com/search?q=%D0%BF%D1%80%D1%8F%D0%BC%D0%BE%D1%83%D0%B3%D0%BE%D0%BB%D1%8C%D0%BD%D0%B8%D0%BA"
              alt="rectangle">
            <area shape="poly" coords="411,138,520,141,460,365"
              href="https://www.google.com/search?q=%D0%BF%D0%BE%D0%BB%D0%B8%D0%B3%D0%BE%D0%BD" alt="poly">
          </map></li>

        <li><a href="./page2.html">относительную на страницу в текущем каталоге</a></li>
        <li><a href="/about/page1.html"> относительную на страницу в каталоге about</a></li>
        <li><a href="../page3.html"> относительную на страницу в каталоге уровнем выше</a></li>
        <li><a href="../../page4.html">относительную на страницу в каталоге двумя уровнями выше</a></li>
        <li><a href="/">сокращенную на главную</a></li>
        <li><a href="/about/">сокращенную ссылку на внутреннюю</a></li>
      </ol>
    </div>

    <div class="d-flex flex-column">
      <div class="row order-sm-1 order-2">
        <h3>Таблица</h3>
        <table class="table table-striped table-bordered">
          <thead>
            <tr>
              <th scope="col">#</th>
              <th scope="col">First</th>
              <th scope="col" colspan="2">Last</th>
              <th scope="col">Handle</th>
            </tr>
          </thead>
          <tbody>
            <tr>
              <th scope="row">1</th>
              <td>2</td>
              <td>3</td>
              <td>4</td>
              <td>5</td>
            </tr>
            <tr>
              <th scope="row">2</th>
              <td colspan="2">3</td>
              <td>4</td>
              <td>5</td>
            </tr>
            <tr>
              <th scope="row">3</th>
              <td colspan="2">3</td>
              <td>4</td>
              <td>@5</td>
            </tr>
            <tr>
              <th scope="row">4</th>
              <td colspan="2">5</td>
              <td>6</td>
              <td>7</td>
            </tr>
            <tr>
              <th scope="row">5</th>
              <td colspan="2">5</td>
              <td>5</td>
              <td>5</td>
            </tr>
          </tbody>
        </table>

      </div>
      <a id="p1"></a>
      <div class="row order-sm-2 order-1">
        <form class="d-flex flex-column">
          <h3>Форма</h3>
          <label class="form-group">Имя:
            <input type="text" class="form-control" name='firstname'>
          </label>

          <label class="form-group">E-mail:
            <input type="email" class="form-control" name="email">
          </label>

          <label>Дата рождения
            <input type="date" id="birth_date" name="birth_date">
          </label>
          <div>Пол
            <div class="form-check form-check-inline">
              <input class="form-check-input" type="radio" value="Мужской" name="gender" id="inlineRadio1">
              <label class="form-check-label" for="inlineRadio1">Мужской</label></div>
            <div class="form-check form-check-inline">
              <input class="form-check-input" type="radio" value="Женский" name="gender" id="inlineRadio2">
              <label class="form-check-label" for="inlineRadio2">Женский</label></div>
          </div>
          <div>Количество конечностей
            <div class="form-check form-check-inline">
              <input class="form-check-input" type="radio" value="1" name="member_num" id="inlineRadio3">
              <label class="form-check-label" for="inlineRadio3">1</label></div>
            <div class="form-check form-check-inline">
              <input class="form-check-input" type="radio" value="2" name="member_num" id="inlineRadio4">
              <label class="form-check-label" for="inlineRadio4">2</label></div>
            <div class="form-check form-check-inline">
              <input class="form-check-input" type="radio" value="3" name="member_num" id="inlineRadio5">
              <label class="form-check-label" for="inlineRadio5">3</label></div>
            <div class="form-check form-check-inline">
              <input class="form-check-input" type="radio" value="4" name="member_num" id="inlineRadio6">
              <label class="form-check-label" for="inlineRadio6">4</label></div>
          </div>
          <label class="form-group" for="superpowers">Сверхспособности<br>
            <select name="superpowers" class="form-control" multiple="multiple" id="superpowers">
              <option value="immortal"> Бессмертие </option>
              <option value="throughWalls">Прохождение сквозь стены</option>
              <option value="levitation"> Левитация </option>
            </select>
          </label><br>
          <label class="form-group">Биография<br>
            <textarea name="biography" class="form-control" cols="25" rows="7"></textarea>
          </label>

          <label class="form-group form-check">
            <input type="checkbox" class="form-check-input" name="know_check">С контрактом ознакомлен
          </label>

          <button name="submitted" class="btn btn-primary">Отправить</button>
        </form>
      </div>
    </div>
  </div>
  <br>
  <footer class="container-fluid bg-secondary">
    <span>(с) Братков Влад 2020</span>
  </footer>
</body>

</html>